com.tibco.bpm.service.connector

## Class ServiceConnectorFactory

- java.lang.Object
- - com.tibco.bpm.service.connector.ServiceConnectorFactory

-     public class ServiceConnectorFactory
      extends java.lang.Object

  This Factory class is used to get a ServiceConnector instance given the service protocol, host, and port.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceConnectorFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceConnector` | `getServiceConnector(Configuration.Protocol protocol, java.lang.String host, int port, com.tibco.n2.service.connector.config.context.SecurityHandler securityHandler)` Returns the ServiceConnector instance for the given service protocol, host, and port.
    `static ServiceConnector` | `getServiceConnector(Configuration configuration, com.tibco.n2.service.connector.config.context.SecurityHandler securityHandler)` Returns the ServiceConnector instance for the given configuration which contains the service protocol, host, and port.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceConnectorFactory

          public ServiceConnectorFactory()

  - ### Method Detail

    - #### getServiceConnector

          public static ServiceConnector getServiceConnector(Configuration.Protocol protocol,
                                                             java.lang.String host,
                                                             int port,
                                                             com.tibco.n2.service.connector.config.context.SecurityHandler securityHandler)

      Returns the ServiceConnector instance for the given service protocol, host, and port.
      Parameters:
        `protocol` - The service protocol.
        `host` - The service host.
        `port` - The service port.
        `securityHandler` -
      Returns:
        ServiceConnector instance.

    - #### getServiceConnector

          public static ServiceConnector getServiceConnector(Configuration configuration,
                                                             com.tibco.n2.service.connector.config.context.SecurityHandler securityHandler)

      Returns the ServiceConnector instance for the given configuration which contains the service protocol, host, and port.
      Parameters:
        `configuration` - The configuration defining the service protocol, host, and port.
        `securityHandler` -
      Returns:
        ServiceConnector instance.

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.